Subject: Re: bug#44185: 26.1; bookmark-jump failing to jump to correct location

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 25 Oct 2020 14:47:23 +0100

[email-masked] writes:

> Steps to reproduce
> 1. Start Emacs
> 2. Load two files
> 3. Set a bookmark, using bookmark-set, named a in one of the files.
> 4. Move cursor to a line other than bookmark a (call it line x).
> 5. Switch buffers to file 2.
> 6. Execute bookmark-jump and navigate to bookmark a.
>
> Observed behaviour
> 1. The buffer containing bookmark a is made current, but the cursor position is
> unchanged, at line x. 

I'm unable to reproduce this in Emacs 28 or Emacs 26.3.  Could you give
a more detailed recipe, starting from "emacs -Q"?  Here's what I did:

larsi@xo:~/src/emacs/trunk$ /usr/bin/emacs -Q lisp/abbrev.el lisp/autoarg.el
Went to the "This file is part" file and `C-x r m a RET', and `C-f' to
go to the next line.
`C-x o' to the other buffer.
`C-x r b a RET'.
I'm then popped to the abbrev.el buffer and with point on the correct
line.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no